#include <msp430g2553.h>


void main(void)
{
	WDTCTL = WDTPW + WDTHOLD; 	//stop watchdog
	P1DIR |= (BIT0);		//nastaveni vystupu/portu pro LED1(P1.0)
	P1OUT = 0x00;
	
	P1DIR &= ~BIT3;                     // BIT3 nastaveno na vstup
	P1OUT |= BIT3;                      // pull-up rezistor
	P1REN |= BIT3;                      // resistor povolen

	volatile unsigned int i;
	
	while(1)					//nekonecna smycka
	{

		
		if ( (P1IN & BIT3) != BIT3)         //testovani tlacitka
		{
		P1OUT ^= (BIT0) ; // LED 1.3
		
		i = 50000;						//casova smycka
		do (i--);
		while (i != 0);
		
		}
		

	}
}
